function init(basePath) {
    var action = new RGuiAction(qsTranslate("Toolpath", "&Generate Toolpath"),
        RMainWindowQt.getMainWindow());
    action.setRequiresDocument(true);
    action.setScriptFile(basePath + "/Toolpath.js");
    action.setIcon(basePath + "/Toolpath.svg");
    action.setStatusTip(qsTranslate("Toolpath", "Generate a Toolpath from Selection"));
    //action.setDefaultShortcut(new QKeySequence("h,a"));
    action.setDefaultCommands(["toolpath"]);
    action.setSortOrder(20800);
	// menu, toolbar, CAD toolbar, separator needed
    EAction.addGuiActionTo(action, Cam, true, true, true, true);
}
